For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The Collection object
          • GET/collections
          • GET/collections/{collection_id}/viewers
          • GET/collections/{id}

Get started

  • Overview
  • Introduction
  • Unified API
  • Linked Account
  • Merge Link
  • Use cases

Implementation

  • Sandboxes
  • SDKs
  • API access
  • Syncing data
  • Writing data
  • Data minimization
  • Supplemental data
  • Errors
  • Integration metadata

API reference

  • ATS
  • HRIS
  • Accounting
  • Ticketing
  • CRM
  • File Storage
  • Knowledge Base
  • Chat

Resources

  • Help Center
  • Merge.dev
  • Changelog
© Merge 2026Terms of usePrivacy policy
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsCollections

/collections/{id}

GET
/ticketing/v1/collections/:id
GET
/api/ticketing/v1/collections/:id
$curl -G https://api.merge.dev/api/ticketing/v1/collections/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=parent_collection \
> -d remote_fields=collection_type \
> -d show_enum_origins=collection_type
200Retrieved
1{
2 "id": "fb8c55b6-1cb8-4b4c-9fb6-17924231619d",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Q1 Platform",
7 "description": "For tracking all tasks related to Platform for Q1",
8 "access_level": "PUBLIC",
9 "collection_type": "LIST",
10 "parent_collection": "25782302-5be1-4d78-8f46-2a5db72204ef",
11 "permissions": [
12 {}
13 ],
14 "collection_url": "https://example.com",
15 "remote_created_at": "2022-01-01T00:00:00Z",
16 "remote_updated_at": "2022-01-01T00:00:00Z",
17 "remote_was_deleted": true,
18 "field_mappings": {
19 "organization_defined_targets": {
20 "custom_key": "custom_value"
21 },
22 "linked_account_defined_targets": {
23 "custom_key": "custom_value"
24 }
25 },
26 "remote_data": [
27 {
28 "path": "/platform-endpoint",
29 "data": null
30 }
31 ]
32}

Returns a Collection object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/collections/{collection_id}/viewers

Next

The Comment object

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandlist of enumsOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

remote_fieldsenumOptional

Deprecated. Use show_enum_origins.

Allowed values:
show_enum_originsenumOptional
A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
Allowed values:

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The collection's name.
descriptionstring or null
The collection's description.
access_levelenum or null

The level of access a User has to the Collection and its sub-objects.

Allowed values:
collection_typeenum or null
The collection's type.
Allowed values:
parent_collectionstring or nullformat: "uuid"
The parent collection for this collection.
permissionslist of objectsRead-only
collection_urlstring or nullformat: "uri"<=2000 characters
The 3rd party url of the Collection.
remote_created_atdatetime or null
When the third party's collection was created.
remote_updated_atdatetime or null
When the third party's collection was updated.
remote_was_deletedboolean

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only

A comma separated list of enum field names for which you’d like the original values to be returned, instead of Merge’s normalized enum values. Learn more